Loading...
Searching...
No Matches
Ogre::PlaneBoundedVolume Class Reference
Core » Math

Represents a convex volume bounded by planes. More...

`#include <OgrePlaneBoundedVolume.h>`

## Public Types

typedef std::vector< Plane > | PlaneList

## Public Member Functions

| PlaneBoundedVolume ()
| PlaneBoundedVolume (Plane::Side theOutside)
| Constructor, determines which side is deemed to be 'outside'.
bool | intersects (const AxisAlignedBox &box) const
| Intersection test with AABB.
std::pair< bool, Real > | intersects (const Ray &ray)
| Intersection test with a Ray.
bool | intersects (const Sphere &sphere) const
| Intersection test with Sphere.

## Public Attributes

Plane::Side | outside
PlaneList | planes
| Publicly accessible plane list, you can modify this direct.

## Detailed Description

Represents a convex volume bounded by planes.

## Member Typedef Documentation

## PlaneList

typedef std::vector<Plane> Ogre::PlaneBoundedVolume::PlaneList

## Constructor & Destructor Documentation

## PlaneBoundedVolume() [1/2]

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( |  | ) |

inline

References outside.

## PlaneBoundedVolume() [2/2]

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( | Plane::Side | theOutside | ) |

inline

Constructor, determines which side is deemed to be 'outside'.

References outside.

## Member Function Documentation

## intersects() [1/3]

bool Ogre::PlaneBoundedVolume::intersects | ( | const AxisAlignedBox & | box | ) | const

inline

Intersection test with AABB.

Remarks
  May return false positives but will never miss an intersection.

References Ogre::AxisAlignedBox::getCenter(), Ogre::AxisAlignedBox::getHalfSize(), Ogre::Plane::getSide(), Ogre::AxisAlignedBox::isInfinite(), Ogre::AxisAlignedBox::isNull(), outside, and planes.

## intersects() [2/3]

bool Ogre::PlaneBoundedVolume::intersects | ( | const Sphere & | sphere | ) | const

inline

Intersection test with Sphere.

Remarks
  May return false positives but will never miss an intersection.

References Ogre::Sphere::getCenter(), Ogre::Plane::getDistance(), Ogre::Sphere::getRadius(), Ogre::Plane::NEGATIVE_SIDE, outside, and planes.

## intersects() [3/3]

std::pair< bool, Real > Ogre::PlaneBoundedVolume::intersects | ( | const Ray & | ray | ) |

inline

Intersection test with a Ray.

Returns
  std::pair of hit (bool) and distance

Remarks
  May return false positives but will never miss an intersection.

References Ogre::Math::intersects(), outside, planes, and Ogre::Plane::POSITIVE_SIDE.

## Member Data Documentation

## planes

PlaneList Ogre::PlaneBoundedVolume::planes

Publicly accessible plane list, you can modify this direct.

Referenced by intersects(), intersects(), intersects(), and Ogre::Ray::intersects().

## outside

Plane::Side Ogre::PlaneBoundedVolume::outside

Referenced by PlaneBoundedVolume(), PlaneBoundedVolume(), intersects(), intersects(), intersects(), and Ogre::Ray::intersects().

The documentation for this class was generated from the following file:

- OgrePlaneBoundedVolume.h